Version 1
Connector Overview: This page documents all 207 actions for the Otecmconnector v1.
Apiinfo
GET Get API Info
/v1/apiinfo
Provides the GET, POST, PUT and DELETE methods for the given resource.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The REST API url to get information on (ex. api/v1/nodes/2000/nodes) |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Auth (2)
POST Authenticate user
/v1/auth
Authenticates user with the given credentials, returning an OTCS ticket if authorized.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (3)
|
Option Name |
Description |
|---|---|
|
|
Login name |
|
|
Login password |
|
|
Login domain |
GET Get Current User Info
/v1/auth
Gets information on the currently authenticated user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Determines if the perspective for the node will be included in the response. |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Bulkactions
GET Bulk node actions
/v1/bulkactions
Gets the list of actions that can be performed on multiple nodes. NOTE: This call only lists the actions and does not perform them. Bulk actions (ie. deleting multiple nodes, copying multiple nodes, reserving multiple nodes) are not yet supported in REST API.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Categories (15)
POST Apply a category to a node
/v1/nodes/{id}/categories
Applies an existing category to a node. Only one category (and its values) may be applied at a time
The following examples will assume that there is a category (ID 9830) that has the following attributes:TextField (Attribute ID 2)Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 values
Apply the category and use the default values for its attributes:
{"category_id":9830}
Apply the category and change the value of the Textfield:
{"category_id":9830,"9830_2":"new value"}
Apply the category and change the value of the Set's Textfield in the second row, for the Set Textfield's third value:
{"category_id":9830,"9830_3_2_4":["","","new value"]}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
Category ID |
|
|
Attribute key in the format {category_id}_[{set_id}_{set_row}]_{attribute_id}. See the [IMPLEMENTATION NOTES] for a more detailed explanation. |
POST Apply a category to a node
/v2/nodes/{id}/categories
Applies an existing category to a node. Only one category (and its values) may be applied at a time
The following examples will assume that there is a category (ID 9830) that has the following attributes:TextField (Attribute ID 2)Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 values
Apply the category and use the default values for its attributes:
{"category_id":9830}
Apply the category and change the value of the Textfield:
{"category_id":9830,"9830_2":"new value"}
Apply the category and change the value of the Set's Textfield in the second row, for the Set Textfield's third value:
{"category_id":9830,"9830_3_2_4":["","","new value"]}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
Category ID |
|
|
Attribute key in the format {category_id}_[{set_id}_{set_row}]_{attribute_id}. See the [IMPLEMENTATION NOTES] for a more detailed explanation. |
DELETE Disable category inheritance for the node's children
/v2/nodes/{id}/categories/{category_id}/inheritance
Disable inheritance of the given category (which is on the node) by the node's children. When child nodes are added under the node, this category will not be inherited.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
POST Enable category inheritance for the node's children
/v2/nodes/{id}/categories/{category_id}/inheritance
Enable inheritance of the given category (which is on the node) by the node's children. When child nodes are added under the node, this category will be inherited.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
GET Get category info for a node
/v1/nodes/{id}/categories/{category_id}/
Get details for the given category applied to the specified node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get category info for a node
/v2/nodes/{id}/categories/{category_id}/
Get details for the given category applied to the specified node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get category-related actions for a category on a node
/v1/nodes/{id}/categories/{category_id}/actions
Get the available category-related actions for a category on a node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get category-related actions for a node
/v1/nodes/{id}/categories/actions
Get the available category-related actions for a node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET List categories on a node
/v1/nodes/{id}/categories
Get the categories applied to the specified node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET List categories on a node
/v2/nodes/{id}/categories
Get the categories applied to the specified node
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
DELETE Remove a category from a node
/v1/nodes/{id}/categories/{category_id}/
Removes the given category from the specified node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
DELETE Remove a category from a node
/v2/nodes/{id}/categories/{category_id}/
Removes the given category from the specified node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
PUT Update a category on a node
/v1/nodes/{id}/categories/{category_id}/
Updates an existing category on a node. Only one category (and its values) may be updated at a time.
The optional 'metadata_token' parameter may be specified if there is a need to avoid edit conflicts. There are two ways to retrieve the current metadata_token(s):Pass in the current metadata_token when updating the category (see the example below). If the update is successful, metadata_token(s) will be generated and returned under state.categories and these will be valid for the next category update call.If you want the current metadata_tokens before performing a category update, use the call 'GET /v2/nodes/{id}?state'. The current metadata_token(s) will be displayed under results.state.categories
The following examples will assume that there is a category (ID 9830) that has the following attributes:TextField (Attribute ID 2)Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 values
Change the value of the Textfield:
{"9830_2":"new value"}
Change the value of the Textfield while using the metadata_token to avoid edit conflicts:
{"9830_1":{"metadata_token":"9ec9bcab09f9963db044ff6749e5c5c2"},"9830_2":"new value"}
Change the value of the Set's Textfield in the second row, for the Set Textfield's third value:
{"9830_3_2_4":["","","new value"]}
Remove the Set's second row:
{"9830_3_2":""}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
The JSON object containing the metadata state token (for edit conflict resolution), See the [IMPLEMENTATION NOTES] for a more detailed explanation. NOTE: if this is specified and the call is successful, the most recent metadata token will be returned in the result. |
|
|
The metadata state token. It is used to resolve edit conflicts where two users are updating the node at the same time.NOTE: If this is specified and the call is successful, the most recent metadata token will be returned in the result. |
PUT Update a category on a node
/v2/nodes/{id}/categories/{category_id}/
Updates an existing category on a node. Only one category (and its values) may be updated at a time.
The optional 'metadata_token' parameter may be specified if there is a need to avoid edit conflicts. There are two ways to retrieve the current metadata_token(s):Pass in the current metadata_token when updating the category (see the example below). If the update is successful, metadata_token(s) will be generated and returned under results.state.categories and these will be valid for the next category update call.If you want the current metadata_tokens before performing a category update, use the call 'GET /v2/nodes/{id}?state'. The current metadata_token(s) will be displayed under results.state.categories
The following examples will assume that there is a category (ID 9830) that has the following attributes:TextField (Attribute ID 2)Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 values
Change the value of the Textfield:
{"9830_2":"new value"}
Change the value of the Textfield while using the metadata_token to avoid edit conflicts:
{"9830_1":{"metadata_token":"9ec9bcab09f9963db044ff6749e5c5c2"},"9830_2":"new value"}
Change the value of the Set's Textfield in the second row, for the Set Textfield's third value:
{"9830_3_2_4":["","","new value"]}
Remove the Set's second row:
{"9830_3_2":""}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Category ID |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
The JSON object containing the metadata state token (for edit conflict resolution), See the [IMPLEMENTATION NOTES] for a more detailed explanation. NOTE: if this is specified and the call is successful, the most recent metadata token will be returned in the result. |
|
|
The metadata state token. It is used to resolve edit conflicts where two users are updating the node at the same time.NOTE: If this is specified and the call is successful, the most recent metadata token will be returned in the result. |
PUT Upgrade categories on a node
/v2/nodes/{id}/categories/upgrade
Upgrade categories on a node to the latest category definitions. If the upgrade operation fails (because of insufficient permissions, or a category is already the latest version, etc) then nothing will happen to any of the categories on the node (ie. none of them will be upgraded).
NOTE: This can only be done using the 'body' parameter (see the [IMPLEMENTATION NOTES]).
Examples:
Upgrade the category 8479 on the node:
body = { "category_id":[8479] }
Upgrade the categories 8479 and 7534 on the node:
body = { "category_id":[8479,7534] }
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
The list of category IDs to upgrade on the node, separated by commas (see the examples above). |
Doctemplates
POST Creates a Instance for Document Template
/v2/doctemplates
Creates a Instance for selected Document Template. The body must contain information about the parent_id and the template_id. You can provide information about the name, name_multilingual, description, description_multilingual, roles.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The body. Example: {"template_id":139327,"parent_id":15082,"name":"Name","type":144,"description":"","roles":{"categories":{},"classifications":{"create_id":[7052,7053],"id":[]}}} |
|
|
N/A |
Documentproperties
GET Insertable Properties
/v1/documentproperties/insertableproperties/{id}
Gets list of Insertable Properties and the associated value.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The data ID of the document |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Draftprocesses (2)
POST Creates a draft process.
/v2/draftprocesses
Creates a draft process and optional custom data can be set.
When request has only workflow_id ,it creates temporary workflow based on the workflow_id .
If request is having optional form param doc_ids ,api sets the custom data to process created by workflow_id .
The following examples will assume that there is a workflow_id 6686 and doc_ids 384,9684 Creating the process with workflow_id
{"workflow_id":6686}
Creating the process with workflow_id and setting custom data via doc_ids ( Note : Multiple doc ids to be separated with coma)
{"workflow_id":6686,"doc_ids":"384,9684"}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
Integer .See the [IMPLEMENTATION NOTES] for a more detailed explanation. |
|
|
To set any custom data to the workflow its JSON string.See the [IMPLEMENTATION NOTES] for a more detailed explanation. |
PUT Initiates a process from a draft process
/v2/draftprocesses/{draftprocess_id}
Initiates or updates a workflow based on the provided action.
If action is initiate ,workflow intance will be created based on the draftprocess_id passed in the path with comment as optional filed .
if action is formupate , data passed via values body parameters will be set to form data prior initiating the workflow .
Examples To initiating the workflow with comment as optional.
body:{"action":"Initiate","comment":"start"}
To prepare the workflow with empty values before initiating the workflow
body : {"action":"formUpdate","values":{"WorkflowForm":{}}}
To update the form of workflow before initiating the workflow
body : {"action":"formUpdate","values":{"WorkflowForm_1x4x1x2":"ABC"}}
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Draft process id. |
|
|
N/A |
Options (3)
|
Option Name |
Description |
|---|---|
|
|
Standard action to be executed.Allowed actions 'initiate','formupdate'. |
|
|
Workflow comment. |
|
|
The JSON object containing the WorkflowForm values {"WorkflowForm_1x4x1x2":"ABC"} . See the [IMPLEMENTATION NOTES] for a more detailed explanation. |
Export
GET Export System Settings to a report file
/v2/export/system/settings
Export System Settings to a report file
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Indicates report should include default values |
|
|
Extension of report format |
|
|
N/A |
Facets
GET List facets on a node
/v2/facets/{id}
Gets facet information for the specified node ID.
NOTE: If the node is a Virtual Folder the facets used to generate this object will be returned by default.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Specify facets that will alter the available facets for this node using the following syntax: {facetID}:{value1}|{value2} For example: &where_facet=2100:re09&where_facet=2095:0|144&where_facet=2100:dy20160504 |
|
|
Limit the number of available facet values to the top values only (ie. maximum values to display). If specified with a value (ie. top_values_limit=5), the number of returned facet values will be set to that. If specified without a value (ie. top_values_limit), then the default maximum values to display (as configured on Content Server) will be used.NOTE: Relative date facets such as 'Modified Date' are not affected by this parameter at all, also selected facets are similarly unaffected |
|
|
Limit the output of the available facets and their values to the specified facet ID(s). This can be specified multiple times (ex. ?facet_id=5880&facet_id=5885)NOTE: results.data.facets will always show the selected facet(s) (if any). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Forms (20)
GET Alpaca Forms for instance creation from template
/v2/forms/doctemplates/create
Fetches the meta data for document templates to render the create form while creating an instance to a selected template
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Parent ID |
|
|
Template ID |
|
|
N/A |
GET Alpaca form detailing the general properties of a node
/v1/forms/nodes/properties/general
Gets the Alpaca form detailing the general properties of a node. The metadata state token (for edit conflict resolution) will be under data.metadata_token
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form detailing the general properties of a version
/v1/forms/nodes/versions/properties/general
Gets the Alpaca form detailing the general properties of a version.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The version number of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form detailing the specific properties of a node
/v1/forms/nodes/properties/specific
Gets the Alpaca form detailing the specific properties of a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form detailing the specific properties of a version
/v1/forms/nodes/versions/properties/specific
Gets the Alpaca form detailing the specific properties of a version.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The version number of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for a user
/v1/forms/users/{user_id}/view
Gets the Alpaca form for a user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The id of the user |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for copying a node
/v1/forms/nodes/copy
Gets the Alpaca form for copying a node. If adding categories, the following must be specified: 'parent_id', 'id' (only one id - adding categories during a bulk copy is not supported), 'inheritance', 'category_id' (can be specified multiple times). Example: ?parent_id=2000&id=1234&inheritance=0&category_id=4444&category_id=5555. See the [IMPLEMENTATION NOTES] for a more detailed explanation.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The ID of the destination node |
|
|
The requested category inheritance model. 0 = 'Original' (the original node's categories), 1 = 'Destination' (the destination node's categories), 2 = 'Merged' (a merge of the original and destination nodes' categories) |
|
|
The ID of the category to be added (can be specified multiple times, ex. category_id=4321&category_id=7878). In order to use this parameter we need to specify 'parent_id', 'id', and 'inheritance' (ex. ?parent_id=2000&id=1111&inheritance=0&category_id=3948) |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for creating a category on a node
/v1/forms/nodes/categories/create
Gets the Alpaca form for creating a category on a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The ID of the category to create on the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for creating a node
/v1/forms/nodes/create
Gets the Alpaca form for creating a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The subtype of the node to be created |
|
|
The ID of the parent node for the node that will be created |
|
|
The ID of the category to add to the node (this parameter can be called multiple times, ex. category_id=111&category_id=222) |
|
|
Value for the Additional Node Attribute |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for creating a version on a node
/v1/forms/nodes/versions/create
Gets the Alpaca form for creating a version on a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for displaying the categories on a version
/v1/forms/nodes/versions/categories
Gets the Alpaca form for displaying the categories on a version.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The version number of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for filing a node
/v1/forms/nodes/file
Gets the Alpaca form for filing a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for moving a node
/v1/forms/nodes/move
Gets the Alpaca form for moving a node. If adding categories, the following must be specified: 'parent_id', 'id' (only one id - adding categories during a bulk move is not supported), 'inheritance', 'category_id' (can be specified multiple times). Example: ?parent_id=2000&id=1234&inheritance=0&category_id=4444&category_id=5555
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The ID of the destination node |
|
|
The requested category inheritance model. 0 = 'Original' (the original node's categories), 1 = 'Destination' (the destination node's categories), 2 = 'Merged' (a merge of the original and destination nodes' categories) |
|
|
The ID of the category to be added (can be specified multiple times, ex. category_id=4321&category_id=7878). This parameter requires 'parent_id', only one of 'id', and 'inheritance' (ex. ?parent_id=2000&id=1111&inheritance=0&category_id=...) |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for renaming node
/v1/forms/nodes/rename
Gets the Alpaca form for renaming a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for running a WebReport
/v1/forms/nodes/run
Returns the Alpaca form for running a WebReport. (*) against a field name denotes that the field supports tag replacement.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for updating a category on a node
/v1/forms/nodes/categories/update
Gets the Alpaca form for updating a single category applied to a node. The metadata state tokens (for edit conflict resolution) will be under data.{category ID}_1.metadata_token
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The ID of the category |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form for updating a version on a node
/v1/forms/nodes/versions/update
Gets the Alpaca form for updating a version on a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node |
|
|
The version number to update |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca form(s) for updating a node
/v1/forms/nodes/update
Gets the Alpaca form(s) for updating a node. The metadata state token (for edit conflict resolution) on the node data will be under data.metadata_token. The category-specific metadata state tokens will be on the categories form (role_name: categories) under data.{category ID}.{category ID}_1.metadata_token
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the node that will be updated |
|
|
If roles are specified then only forms for these roles are returned (e.g. role=categories&role=versionscontrol). |
|
|
Value for the Additional Node Attribute |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca forms detailing the specific properties of a workflow
/v1/forms/processes/tasks/update
Gets the Alpaca forms for displaying a workflow item.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the workflow |
|
|
The ID of the sub workflow |
|
|
The ID of the task in the workflow |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Alpaca forms detailing the specific properties of a workflow
/v1/forms/draftprocesses
Gets the Alpaca forms for displaying a draft workflow item.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the draft workflow |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
Intelligentfiling
POST Autofile a document
/v2/intelligentfiling/{id}
Files a document from an Intelligent Filing Folder.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the document |
|
|
The Business Workspace instance to add the document to |
|
|
The classification ID for the Document Type to use to choose the sub-folder |
|
|
The parent container to add the document to |
|
|
N/A |
Members (29)
POST Add a Favorite
/v2/members/favorites/{id}
Adds a Favorite for the current user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the favorite to add |
|
|
N/A |
POST Add a Favorites Tab
/v2/members/favorites/tabs
Adds a Favorites Tab for the current user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
The Name of the tab |
|
|
The Order of the tab |
POST Add members to a group
/v2/members/{id}/members
Add members to a group.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The group ID. |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
The IDs of the users and/or groups to add. |
POST Create group | Create user
/v1/members
Creates a user or group.
NOTE: The 'body' parameter must be used. This 'body' parameter contains a JSON string, and must be specified in the Body as a key-value pair where the key is 'body' and the value is the JSON string. See the [IMPLEMENTATION NOTES] for more details.
Example to create a user:
body : { "type": 0, "name": "new_user", "group_id": 1001 }
Example to create a group:
body : { "type": 1, "name": "new_group" }
The parameters for creating a user or group are listed below:
Create user
-
required fields: type, name, group_id
-
defaults: type = 0
Create group
-
required fields: type, name
-
defaults: type = 1
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (20)
|
Option Name |
Description |
|---|---|
|
|
The type of member to create (e.g. 0 for a user, and 1 for a group). |
|
|
Name of the user or group |
|
|
The group ID of the user's base group. This is a required field if type is set to 0 (user) |
|
|
First name of the user |
|
|
Last name of the user |
|
|
Middle name of the user |
|
|
The user's title |
|
|
The user's business email address |
|
|
The user's business phone number |
|
|
The user's business fax number |
|
|
The user's office location |
|
|
The time zone the user is in |
|
|
The language code of the user's preferred display language |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
POST Create user | Create group
/v2/members
Creates a user or group.
NOTE: The 'body' parameter must be used. This 'body' parameter contains a JSON string, and must be specified in the Body as a key-value pair where the key is 'body' and the value is the JSON string. See the [IMPLEMENTATION NOTES] for more details.
Example to create a user:
body : { "type": 0, "name": "new_user", "group_id": 1001 }
Example to create a group:
body : { "type": 1, "name": "new_group" }
The parameters for creating a user or group are listed below:
Create user
-
required fields: type, name, group_id
-
defaults: type = 0
Create group
-
required fields: type, name
-
defaults: type = 1
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (37)
|
Option Name |
Description |
|---|---|
|
|
The type of member to create |
|
|
Name of the group |
|
|
The group ID of the user's base group (if creating a group, this parameter is not required). |
|
|
The user's password |
|
|
First name of the user |
|
|
Last name of the user |
|
|
Middle name of the user |
|
|
The user's title |
|
|
The user's business email address |
|
|
The user's business phone number |
|
|
The user's business fax number |
|
|
The user's office location |
|
|
The time zone the user is in |
|
|
The user's birthday |
|
|
The user's personal mobile phone number |
|
|
The user's bookmarked url link 1 |
|
|
The user's bookmarked url link 2 |
|
|
The user's bookmarked url link 3 |
|
|
The user's personal email address |
|
|
The user's personal interests and hobbies |
|
|
The user's personal home page |
|
|
The user's home address 1 |
|
|
The user's home address 2 |
|
|
The user's home address 3 |
|
|
The user's personal fax number |
|
|
The user's personal home phone number |
|
|
The user's gender |
|
|
The user's office mobile phone number |
|
|
The ID of the node for the user's profile photo |
|
|
The language code of the user's preferred display language |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
DELETE Delete user | Delete Group
/v1/members/{id}
Delete user or group.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
N/A |
DELETE Delete user | Delete group
/v2/members/{id}
Delete user or group.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group to delete. |
|
|
N/A |
GET Get Favorites
/v2/members/favorites
Gets a user's Favorites.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Page size |
|
|
Page number |
|
|
Order by named column (name, order, tab_id). Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed. Up to two columns can be specified. |
|
|
Filters the results, returning the favorites with the specified filter string in their name |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get Favorites Tab
/v2/members/favorites/tabs
Gets a user's Favorites Tabs.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Order by named column (name, order). Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get Favorites in a Tab
/v2/members/favorites/tabs/{id}/nodes
Gets a user's Favorites in a Tab.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the tab for the favorites to list |
|
|
Page size |
|
|
Page number |
|
|
Order by named column (name, order). Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Filters the results, returning the favorites with the specified filter string in their name |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get Reserved Items
/v2/members/reserved
Get the objects reserved by the authenticated user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Page size |
|
|
Page number |
|
|
Order by named column. Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Filters the results, returning the objects with the specified filter string in their name |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get assignments
/v2/members/assignments
Gets a user's Assignments.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get profile photo
/v1/members/{id}/photo
Gets the specified member's profile photo. If the user does not have permission to the profile photo no content and a status code of 500 will be returned.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get recent targets
/v2/members/targets
Get the current user's list of recently targeted containers. This call will return a maximum of 15 items.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get recently accessed list
/v2/members/accessed
Gets a member's recently accessed list. This call will return a maximum of 25 items.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
View class to filter on. |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
Specify subtype(s) which should be returned (144 for document, 749 for email and so on). Multiple where_type parameters can be specified. |
|
|
Specify container ID (parent ID) which the recent items belong to. |
|
|
N/A |
GET Get unsorted Favorites
/v2/members/favorites/tabs/unsorted/nodes
Gets a user's Unsorted Favorites.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Page size |
|
|
Page number |
|
|
Order by named column (name, order). Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Filters the results, returning the favorites with the specified filter string in their name |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get user info | Get group info
/v1/members/{id}
Gets user's information | Gets group's information
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get user info | Get group info
/v2/members/{id}
Gets a user's information | Gets a group's information
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
N/A |
GET Lists the members of a group
/v2/members/{id}/members
Lists the members of a group and returns their information.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
Page size |
|
|
Page number |
|
|
Ascending order by named column. Format can be sort=name or sort=first_name or sort=last_name or sort=mailaddress. |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
DELETE Remove a Favorite
/v2/members/favorites/{id}
Removes a Favorite for the current user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the favorite to remove |
|
|
N/A |
DELETE Remove a Favorites Tab
/v2/members/favorites/tabs/{id}
Remove a Favorites Tab and the Favorites associated with it for the current user.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the tab to remove |
|
|
N/A |
DELETE Remove members from a group
/v2/members/{id}/members
Remove members from a group.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The group ID. |
|
|
The IDs of the users and/or groups to remove. |
|
|
N/A |
GET Search for groups where currently logged in user is a member
/v2/members/memberof
Get list of groups where currently logged in user is a member.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Page size |
|
|
Page number |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Search for user | Search for group
/v1/members
Search for a user or group
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Specify 0 for a user, and 1 for a group |
|
|
Page size |
|
|
Page number |
|
|
Order by named column (Using prefixes such as sort=asc_name or sort=desc_name ). Format can be sort = id, sort = name, sort = first_name, sort = last_name, sort = group_id, sort = mailaddress. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Filters the results, returning the users with the specified query string in their log-in name, lastname or firstname |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Search for user | Search for group
/v2/members
Search for a user or group
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Specify 0 for a user, and 1 for a group |
|
|
Filters the results, returning the users where the business email matches the specified string |
|
|
Filters the results, returning the users where the login name matches the specified string |
|
|
Filters the results, returning the users where the first name matches the specified string |
|
|
Filters the results, returning the users where the last name matches the specified string |
|
|
Page size |
|
|
Page number |
|
|
Order by named column (Using prefixes such as sort=asc_name or sort=desc_name ). Format can be sort = id, sort = name, sort = first_name, sort = last_name, sort = group_id, sort = mailaddress. If the prefix of asc or desc is not used then asc will be assumed. |
|
|
Filters the results, returning the users with the specified query string in any of the following fields: name, first_name, last_name, business_email. NOTE: query cannot be used together with any combination of: where_name, where_first_name, where_last_name, where_business_email. |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
PUT Update a Favorite
/v2/members/favorites/{id}
Updates a favorite
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the favorite to update |
|
|
N/A |
Options (3)
|
Option Name |
Description |
|---|---|
|
|
The favorite's new name |
|
|
The favorite's new order |
|
|
The favorite's new tab id (NOTE: Enter 0 (zero) to untab the favorite) |
PUT Update a Favorites Tab
/v2/members/favorites/tabs/{id}
Updates a favorites tab
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the tab to update |
|
|
N/A |
Options (2)
|
Option Name |
Description |
|---|---|
|
|
The tab's new name |
|
|
The tab's new order |
PUT Update user | Update group
/v1/members/{id}
Updates user's information | Updates group's information
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
N/A |
Options (37)
|
Option Name |
Description |
|---|---|
|
|
Name of the user |
|
|
The group ID of the user's base group |
|
|
Exclude all fields except the one that is specified |
|
|
Expand all fields that belong to the specified person |
|
|
Expand specified field (ex. 'id'). Note: field must belong to a persona |
|
|
User's password |
|
|
User's first name |
|
|
User's middle name |
|
|
User's last name |
|
|
User's title |
|
|
User's business email |
|
|
User's business phone number |
|
|
User's business fax number |
|
|
User's office location |
|
|
User's time zone |
|
|
The user's birthday |
|
|
The user's personal mobile phone number |
|
|
The user's gender |
|
|
The user's home address 1 |
|
|
The user's home address 2 |
|
|
The user's personal fax number |
|
|
The user's personal home phone number |
|
|
The user's office mobile phone number |
|
|
The user's personal email address |
|
|
The user's personal interests and hobbies |
|
|
The user's bookmarked url link 1 |
|
|
The user's bookmarked url link 2 |
|
|
The user's bookmarked url link 3 |
|
|
The user's personal home page |
|
|
The ID of the node for the user's profile photo |
|
|
The language code of the user's preferred display language |
|
|
TRUE if the user log-in is enabled, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
TRUE means the user can access any item in the system for which the Public Access permission is activated, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
TRUE if the user can create users and modify or delete the users that he or she creates, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
TRUE if the user can create groups and modify or delete the groups that he or she creates, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
TRUE if the user can create, modify, and delete any user or group, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
TRUE means the user has full access to Content Server's administration functionality, if the user knows the administration password. This privilege also provides access to all items in the system, without filtering for permissions. This privilege does not include the ability to administer users or groups. FALSE otherwise. This information is only available to Administrators or User Administrators |
PUT Update user | Update group
/v2/members/{id}
Updates a user's information | Updates a group's information
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The ID of the user or group |
|
|
N/A |
Options (39)
|
Option Name |
Description |
|---|---|
|
|
Name of the user or group |
|
|
The group ID of the user's base group |
|
|
[Group only] The user ID of the group leader |
|
|
[User only] User's password |
|
|
[User only] User's first name |
|
|
[User only] User's middle name |
|
|
[User only] User's last name |
|
|
[User only] User's title |
|
|
[User only] User's business email |
|
|
[User only] User's business phone number |
|
|
[User only] User's business fax number |
|
|
[User only] User's office location |
|
|
[User only] User's time zone |
|
|
[User only] The user's birthday |
|
|
[User only] The user's personal mobile phone number |
|
|
[User only] The user's bookmarked url link 1 |
|
|
[User only] The user's bookmarked url link 2 |
|
|
[User only] The user's bookmarked url link 3 |
|
|
[User only] The user's personal email address |
|
|
[User only] The user's personal interests and hobbies |
|
|
[User only] The user's personal home page |
|
|
[User only] The user's home address 1 |
|
|
[User only] The user's home address 2 |
|
|
[User only] The user's home address 3 |
|
|
[User only] The user's personal fax number |
|
|
[User only] The user's personal home phone number |
|
|
[User only] The user's gender |
|
|
[User only] The user's office mobile phone number |
|
|
[User only] The ID of the node for the user's profile photo |
|
|
The language code of the user's preferred display language |
|
|
[User only] TRUE if the user log-in is enabled, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
[User only] TRUE means the user can access any item in the system for which the Public Access permission is activated, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
[User only] TRUE if the user can create users and modify or delete the users that he or she creates, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
[User only] TRUE if the user can create groups and modify or delete the groups that he or she creates, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
[User only] TRUE if the user can create, modify, and delete any user or group, FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
[User only] TRUE means the user has full access to Content Server's administration functionality, if the user knows the administration password. This privilege also provides access to all items in the system, without filtering for permissions. This privilege does not include the ability to administer users or groups. FALSE otherwise. This information is only available to Administrators or User Administrators |
|
|
Exclude all fields except the one that is specified |
|
|
Expand all fields that belong to the specified person |
|
|
Expand specified field (ex. 'id'). Note: field must belong to a persona |
Multipart (5)
DELETE Cancel a Large File Upload
/v2/multipart/{upload_key}
Cancel and remove a Large File Upload session.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The key to identify the Large File Upload session. |
|
|
N/A |
POST Complete a Large File Upload
/v2/multipart/{upload_key}
Complete and close a Large File Upload session.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The key to identify the Large File Upload session. |
|
|
N/A |
GET Get Large File Upload settings
/v2/multipart/settings
Gets the current settings for Large File Upload.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
POST Start a Large File Upload
/v2/multipart
Starts a Large File Upload session.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (3)
|
Option Name |
Description |
|---|---|
|
|
Name of file being uploaded (non-empty) |
|
|
Size of file being uploaded (in bytes) |
|
|
MIME type of file being uploaded (non-empty) |
POST Upload a Large File part
/v2/multipart/{upload_key}/{part_number}
Upload a file part to a Large File Upload session.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
The key to identify the Large File Upload session. |
|
|
The number of the part being uploaded. |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
The part being uploaded |
Nicknames (2)
GET Get a node by nickname
/v2/nicknames/{nickname}/nodes
Gets the data about a node's properties for the node with the specified nickname.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Nickname of the node. |
|
|
N/A |
PUT Update a node's nickname
/v2/nodes/{id}/nicknames
Updates a node's nickname.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
The updated nickname of the node.The nickname cannot be emptyThe nickname cannot be the same as another node's nicknameThe nickname cannot be a number unless it is the ID of the nodeThe nickname cannot contain a space or any of the following characters: !%()-{}[]";'<>?,./\#The nickname cannot exceed 248 characters in length |
Nodes (35)
POST Create node | Copy a node
/v1/nodes
Creates a node OR Copies a node.
NOTE: The 'body' parameter must be used. This 'body' parameter contains a JSON string, and must be specified in the Body as a key-value pair where the key is 'body' and the value is the JSON string. See the [IMPLEMENTATION NOTES] for more details.
The following examples will assume that there is are two categories available:
Category1 (ID 9830)TextField (Attribute ID 2)Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 valuesCategory2 (ID 6228)TextField (Attribute ID 2)
Create a Folder:
{"type":0, "parent_id":2000, "name":"New Folder"}
Create a Folder with Category1 and Category2 and use the default attribute values for both categories:
{"type":0, "parent_id":2000, "name":"New Folder", "roles":{"categories":{"9830":{"9830_1":{}}, "6228":{"6228_1":{}}}}}
Create a Folder with Category1 and Category2. Category1's Set Textfield on the second row has 'aaa' in the Set Textfield's third value; Category2's Textfield is 'bbb':
{"type":0, "parent_id":2000, "name":"New Folder", "roles":{"categories":{"9830":{"9830_3_2_4":["","","aaa"]}, "6228":{"6228_2":"bbb"}}}}
Copy a node 12345 to a folder 5678 (which doesn't have any categories):
{"original_id":12345, "parent_id":5678}
Copy a node 12345 to a folder 5678 (which doesn't have any categories) while applying Category2 with default values:
{"original_id":12345, "parent_id":5678, "roles":{"categories":{"6228":{"6228_1":{}}}}}
Create a node
-
required fields: type, name, parent_id
Copy a node
-
required fields: original_id, parent_id
-
NOTE: original_id is the ID of the node to copy, parent_id is the ID of the node to copy original_id to
The parameters for creating nodes of a specific subtype are listed below:
Create category
-
required fields: type, parent_id, name
-
defaults: type = 131
Create channel
-
required fields: type, parent_id, name
-
defaults: type = 207
Create document
-
required fields: type, parent_id, name, file
-
defaults: type = 144
Create compound document
-
required fields: type, parent_id, name
-
defaults: type = 136
Create folder
-
required fields: type, parent_id, name
-
defaults: type = 0
Create news
-
required fields: type, parent_id, name
-
defaults: type = 208
Create project
-
required fields: type, parent_id, name
-
defaults: type = 202
Create shortcut
-
required fields: type, parent_id, name
-
defaults: type = 1
Create generation
-
required fields: type, parent_id, name
-
defaults: type = 2
Create task
-
required fields: type, parent_id, name
-
defaults: type = 206
Create task group
-
required fields: type, parent_id, name
-
defaults: type = 205
Create task list
-
required fields: type, parent_id, name
-
defaults: type = 204
Create task milestone
-
required fields: type, parent_id, name
-
defaults: type = 212
Create URL
-
required fields: type, parent_id, name
-
defaults: type = 140
Create virtual folder
-
required fields: type, parent_id, name
-
defaults: type = 899
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (10)
|
Option Name |
Description |
|---|---|
|
|
Subtype of the node. This is not required when copying a node. |
|
|
The parent ID of the new node |
|
|
The name of the new node |
|
|
Description of the node |
|
|
External create date |
|
|
External modify date |
|
|
External source |
|
|
External identity |
|
|
External identity type |
|
|
Node ID |
POST Create node | Copy a node
/v2/nodes
Creates a node OR Copies a node.
NOTE: The 'body' parameter must be used. This 'body' parameter contains a JSON string, and must be specified in the Body as a key-value pair where the key is 'body' and the value is the JSON string. See the [IMPLEMENTATION NOTES] for more details.
The following examples will assume that there is are two categories available:
Category1 (ID 9830)
TextField (Attribute ID 2)
Set (Attribute ID 3) with two rows. The Set has a multi-value Textfield (Set Attribute ID 4) that can have a maximum of 3 values
Category2 (ID 6228)
TextField (Attribute ID 2)
Create a Folder:
{\"type\":0, \"parent_id\":2000, \"name\":\"New Folder\"}
Create a Folder with Category1 and Category2 and use the default attribute values for both categories:
{\"type\":0, \"parent_id\":2000, \"name\":\"New Folder\", \"roles\":{\"categories\":{\"9830_1\":{}, \"6228_1\":{}}}}
Create a Folder with Category1 and Category2. Category1's Set Textfield on the second row has 'aaa' in the Set Textfield's third value; Category2's Textfield is 'bbb':
{\"type\":0, \"parent_id\":2000, \"name\":\"New Folder\", \"roles\":{\"categories\":{\"9830_3_2_4\":[\"\",\"\",\"aaa\"], \"6228_2\":\"bbb\"}}}
Copy a node 12345 to a folder 5678 (which doesn't have any categories):
{\"original_id\":12345, \"parent_id\":5678}
Copy a node 12345 to a folder 5678 (which doesn't have any categories) while applying Category2 with default values:
{\"original_id\":12345, \"parent_id\":5678, \"roles\":{\"categories\":{\"6228_1\":{}}}}
Create a node
required fields: type, name, parent_id
Copy a node
required fields: original_id, parent_id
NOTE: original_id is the ID of the node to copy, parent_id is the ID of the node to copy original_id to
The parameters for creating nodes of a specific subtype are listed below:
Create category
required fields: type, parent_id, name
defaults: type = 131
Create channel
required fields: type, parent_id, name
defaults: type = 207
Create document
required fields: type, parent_id, name, (file or upload_key)
defaults: type = 144
Create compound document
required fields: type, parent_id, name
defaults: type = 136
Create folder
required fields: type, parent_id, name
defaults: type = 0
Create news
required fields: type, parent_id, name
defaults: type = 208
Create project
required fields: type, parent_id, name
defaults: type = 202
Create shortcut
required fields: type, parent_id, name
defaults: type = 1
Create generation
required fields: type, parent_id, name
defaults: type = 2
Create task
required fields: type, parent_id, name
defaults: type = 206
Create task group
required fields: type, parent_id, name
defaults: type = 205
Create task list
required fields: type, parent_id, name
defaults: type = 204
Create task milestone
required fields: type, parent_id, name
defaults: type = 212
Create URL
required fields: type, parent_id, name
defaults: type = 140
Create virtual folder
required fields: type, parent_id, name
defaults: type = 899
Create search query
required fields: type, parent_id, name
defaults: type = 258
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (42)
|
Option Name |
Description |
|---|---|
|
|
Subtype of the node. This is not required when copying a node. |
|
|
The parent ID of the new node |
|
|
The name of the new node |
|
|
Description of the node |
|
|
External create date |
|
|
External modify date |
|
|
External source |
|
|
External identity |
|
|
External identity type |
|
|
Data ID of the image to be displayed in the news item |
|
|
The alt text for the above image |
|
|
The file to be added as an attachment |
|
|
The key to identify a Large File Upload session. |
|
|
Allow advanced versioning (standard versioning by default) |
|
|
(Can be time-zone aware) The effective date for this news item (e.g. 2015-10-16T13:00:00) |
|
|
(Can be time-zone aware) The expiration date for this news item |
|
|
The headline for this news item |
|
|
The highlights for this news item |
|
|
The story for this news item |
|
|
The data ID of the object to attach to this news item |
|
|
The status of the task |
|
|
(Can be time-zone aware) Due date of the milestone (e.g. 2015-10-16T13:00:00) |
|
|
(Can be time-zone aware) Start date of the milestone |
|
|
The project mission |
|
|
The project goals |
|
|
The project objectives |
|
|
The project initiatives |
|
|
Node ID |
|
|
The Version Number of the node to create the generation to |
|
|
The assigned member ID |
|
|
The priority for the task |
|
|
The milestone for the task group |
|
|
The instructions for the task |
|
|
The data ID for the item to attach to the task |
|
|
(Can be time-zone aware) Date the milestone was completed |
|
|
URL |
|
|
Location ID. This value can only be set during create. |
|
|
Facets that make up the virtual folder. Each facet is a 2-element List where the first element is the facet ID (String) and the second element is a List of values (String) for that facet. For example: [['2100',['re09']],['2095',['0','144']]] |
|
|
Show location column |
|
|
Show selected facets |
|
|
Show selected location |
|
|
Search cache ID to be used to create the Search Query item. |
POST Create release
/v2/nodes/{id}/releases
Creates a release for the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
Name of the release |
POST Create revision
/v2/nodes/{id}/revisions
Creates a revision for the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
Options (1)
|
Option Name |
Description |
|---|---|
|
|
Name of the revision |
DELETE Delete a node
/v1/nodes/{id}
Deletes the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
DELETE Delete a node
/v2/nodes/{id}
Deletes the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
N/A |
GET Get a node
/v1/nodes/{id}
Gets info on the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Determines if the perspective for the node will be included in the response. |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get a node | Get a virtual folder
/v2/nodes/{id}
Gets information about a node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Retrieve actions for the node. This is similar to 'commands' for v1 (E.g. actions=delete&actions=open). Note: For best performance minimize the number of actions requested.Example to get the delete and open actions?actions=delete&actions=open |
|
|
Determines if the perspective for the node will be included in the response. |
|
|
The 'fields' parameter can be used to filter the results even further, if necessary.Show the 'properties' field (which contains node information such as name, description, parent_id, etc.)?fields=propertiesShow the 'properties' and 'categories' fields (node and category information, respectively)?fields=properties&fields=categoriesShow the 'properties' and 'categories' fields (node and category information, respectively) but only the parent_id and description from 'properties'?fields=properties{parent_id,description}&fields=categoriesShow the 'versions' field (version information) but only the latest version?fields=versions.element(0)Show the 'permissions' field (node permissions) but only the first 5 permissions (includes Default Access and ACLs)?fields=permissions.limit(5) |
|
|
Resolve individual fieldsExpand the id and parent_id of 'properties' (resolving the id to extra node information, and resolving the parent_id to extra node information about the parent)?expand=properties{id,parent_id} |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data, which will be returned under results.metadata / metadata_map / metadata_order. This is an empty parameter, thus no value is required (e.g. ?metadata).Example to get metadata?metadata |
|
|
Returns the metadata state token for data (used for edit conflict resolution), which will be returned under results.state. This is an empty parameter, thus no value is required (e.g. ?state).Example to get the metadata state token?state |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
Reference node ID |
|
|
N/A |
GET Get actions
/v1/nodes/{id}/actions
Gets available actions on the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get actions
/v2/nodes/actions
Gets the actions for the specified node IDs (up to 100 items) that the current user is able to perform. To get more than 100 items, use the POST api/v2/nodes/actions call below.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
One or more node IDs. |
|
|
Retrieve actions for the node. If not specified, all actions that the current user can perform will be returned. |
|
|
Reference node ID |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
POST Get actions
/v2/nodes/actions
Gets the actions for the specified node IDs (unlimited items) that the current user is able to perform. The parameters can be packaged into a single body parameter. See the [IMPLEMENTATION NOTES] at the top for details.
Get the actions for delete and copy for the nodes with IDs 5348 and 5569
body : { "ids":[5348,5569], "actions":["delete","copy"] }
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
N/A |
Options (4)
|
Option Name |
Description |
|---|---|
|
|
One or more node IDs. |
|
|
Retrieve actions for the node. If not specified, all actions that the current user can perform will be returned. |
|
|
Reference node ID |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not). |
GET Get all subnodes
/v2/nodes/{id}/nodes/all
Returns information on all the children of the node*.
* Only Compound Documents are currently supported
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Order by named column. Format can be sort=name or sort=asc_name or sort=desc_name. If the prefix of asc or desc is not used then asc will be assumed.Example to sort by order (ascending by default)?sort=orderSort by order descending?sort=desc_order |
|
|
The 'fields' parameter can be used to filter the results even further, if necessary.Show the 'properties' field (which contains node information such as name, description, order, mime_type etc.)?fields=propertiesShow the 'properties' field but only include the id, name, mime_type, and order?fields=properties{id, name, mime_type, order} |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data, which will be returned under results.metadata / properties. This is an empty parameter, thus no value is required (e.g. ?metadata).Example to get metadata?metadata |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get ancestors
/v1/nodes/{id}/ancestors
Gets the ancestors of the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get audit
/v1/nodes/{id}/audit
Gets node audit info.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Sort order of audit results. Format can be sort=desc_audit_date or sort=asc_audit_date. Results are sorted in descending order by default. |
|
|
Page number |
|
|
Page size |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get audit
/v2/nodes/{id}/audit
Gets node audit info.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Filter the response by returning only the specified individual fields or sections (e.g. fields=properties{id, parent_id}&fields=versions). If the data structure is an array, a specific item can be retrieved instead (e.g. versions{mime_type}.element(0)). |
|
|
Resolve individual fields (e.g. expand=properties{id,parent_id}&expand=versions{file_name}) or entire sections (eg. expand=properties) that contain known identifiers (nodes, members, etc.). |
|
|
Returns metadata (data type, field length, min/max values, etc.) about data, which will be returned under results.metadata / metadata_map / metadata_order. This is an empty parameter, thus no value is required (e.g. ?metadata). |
|
|
Sort order of audit results. Format can be sort=desc_audit_date or sort=asc_audit_date. Results are sorted in descending order by default. |
|
|
Page number |
|
|
Page size |
|
|
Filter by the event type. |
|
|
Filter events so that the results occurred after the supplied date. Can be used with where_audit_date_end. |
|
|
Filter events so that the results occurred before the supplied date. Can be used with where_audit_date_start. |
|
|
Filter by User ID. |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get columns
/v1/nodes/{id}/columns
Gets the columns for the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
Exclude all fields except the one(s) that are specified (e.g. fields=data&fields=definitions). |
|
|
Expand all fields that belong to the specified persona (e.g. expand=node&expand=member). |
|
|
Expand specified field. Note: field must belong to a persona (e.g. expand_fields=id&expand_fields=owner_user_id). |
|
|
Forces the server to always return a HTTP Response of '200 OK'. The data returned from the call will have an additional integer feature named 'statusCode', which will contain the actual status code (the 'statusCode' feature will be added regardless of whether the REST API call was successful or not).NOTE: This parameter does not require a value, so it should be specified as [Query String]:?suppress_response_codes[Form Body (where the value is an empty string)]: suppress_response_codes = |
|
|
N/A |
GET Get content
/v1/nodes/{id}/content
Downloads the content (latest published version) on the node.
Parameters
|
Parameter Name |
Description |
|---|---|
|
|
N/A |
|
|
N/A |
|
|
N/A |
|
|
Node ID |
|
|
[...]
